Skip to content

ショップランキング - フルマネージド売上

概要

TikTokショップのフルマネージド売上ランキングデータを取得します。以下の機能をサポートします。

  • フィルターパラメータの設定が可能
  • カスタムソート順に対応

API エンドポイント

bash
    POST /shop/v1/rank/fullyManaged

リクエストボディ

フィールド必須説明
filterobjectいいえフィルターパラメータ
orderbyobjectいいえソートパラメータ
pageintegerいいえページ番号, デフォルト: 1
pagesizeintegerいいえ1ページあたりの件数, デフォルト: 10

page * pagesize <= 500

pagesize 範囲 [1, 100]

filter オプション値

フィールド必須説明
regionstringいいえ国/地域
category_idintegerいいえ商品カテゴリ
shop_typeintegerいいえショップタイプ: 1 (ブランドショップ), 2 (小売ショップ)
date_infoobjectはい日付情報

region 範囲: ['US', 'GB', 'ES', 'MX', 'DE', 'IT', 'FR']

orderby オプション値

フィールド必須説明
units_soldいいえ販売数(降順)
usd_gmvいいえ売上(降順)

リクエスト例

bash
curl 'https://openapi.fastmoss.com/shop/v1/rank/fullyManaged' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "region": "US",
        "category_id": 14,
        # "shop_type": 1,
        "date_info": {
            "type": "day",
            "value": "2026-04-01"
        },
        # "date_info": {
        #     "type": "week",
        #     "value": "2026-05"
        # },
        # "date_info": {
        #     "type": "month",
        #     "value": "2026-03"
        # }
    },
    "orderby": [
      {
        "field": "units_sold",
        "order": "desc",
      }
      # ,
      # {
      #   "field": "usd_gmv",
      #   "order": "desc",
      # }
    ],
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ

data.total

結果の総数。

data.list

フィールド説明
shop_infoobjectショップ情報
rank_categoryobjectランキングカテゴリ
total_affiliate_countinteger総関連クリエイター数
sale_product_countinteger販売中の商品数
units_soldinteger販売数
gmvinteger売上金額(GMV)
usd_gmvintegerUSD換算売上
units_sold_inc_ratestring販売成長率
gmv_inc_ratestring売上成長率
currencystring通貨

レスポンス例

json
{
  "code": 0,
  "data": {
    "list": [
      {
        "shop_info": {
          "seller_id": 8647778611395402618,
          "name": "Selected by the clouds",
          "brand": "",
          "seller_company": "",
          "avatar": "https://s.500fd.com/tt_shop/b3ce7bfb75134887a3959a3edb69fb7c~tplv-aphluv4xwc-resize-png:300:300.png",
          "region": "GB",
          "currency": "GBP",
          "product_count": 97,
          "shop_rating": 4.2,
          "main_category": { "category_id": 19, "name": "Toys & Hobbies" },
          "is_fully_managed": 1,
          "is_cross_border": 0,
          "shop_type": 0,
          "status": 1
        },
        "rank_category": { "category_id": 0, "name": "" },
        "total_affiliate_count": 128,
        "sale_product_count": 5,
        "units_sold": 278,
        "gmv": 789.87,
        "usd_gmv": 979.44,
        "units_sold_inc_rate": "-13.93%",
        "gmv_inc_rate": "-11.26%",
        "currency": "GBP"
      }
    ],
    "total": 500,
    "date_type": "day",
    "date_value": "2026-04-06"
  },
  "message": "",
  "timestamp": 1775714686,
  "request_id": "330953f3-2044-1c23-ba2f-45a14714ba8e"
}